INSPINIA | Markdown

## Markdown

##### Bootstrap markdown http://www.codingdrama.com/bootstrap-markdown/

Bootstrap-Markdown designed to be easily integrated with your bootstrap project. It exposes useful API that allow you to fully hook-in into the plugin

Switch regular textarea within your form into Bootstrap-Markdown editor seamlessly by adding `data-provide="markdown"` attribute

h1 header ============ Paragraphs are separated by a blank line. 2nd paragraph. *Italic*, **bold**, and `monospace`. Itemized lists look like: * this one * that one * the other one

## Usage

Beside using above data-attributes, you could call it via code

    $("#some-textarea").markdown({autofocus:false,savable:false})

#### Available options are:

Option Name | Type | Description
--- | --- | ---
`autofocus` | `boolean` | Indicates that editor will focused after instantiated. Default to `false`
`savable` | `boolean` | Indicates that editor will have save button and action. Default to `false`
`hideable` | `boolean` | If set to `true` then the editor will be hidden on `blur` event. Default to `false`
`width` | `mixed` | The editor width. Default to `inherit`. You could supply any numerical value (that will be set as css), or supply valid Bootstrap class (something like `span2`)
`height` | `mixed` | The editor height. Default to `inherit`
`resize` | `string` | Option to disable or change the resize property, possible values `none`,`both`,`horizontal`,`vertical`. Default `none` If this option is enabled, the user will be able to resize the editor and preview screen. Browser support This is currently only supported on limited browsers. See Can you run it: Resize for all supported browsers
`iconlibrary` | `string` | The icon library to use. Glyphicons (`glyph`) and Font Awesome (`fa`) are supported. In order to use Font Awesome properly, you'll need to include Font Awesome stylesheet yourself. Default to `glyph`
`language` | `string` | Localization setting. Default to `en`
`footer` | `mixed` | Footer dom. Can be string or callback. Default is empty string
`fullscreen` | `object` | Contains `enable` (`bool`) and `icons` (`object`) keys.
`hiddenButtons` | `mixed` | Array or string of button names to be hidden. Default is empty string
`disabledButtons` | `mixed` | Array or string of button names to be disabled. Default is empty string